openSUSE 12.1 Gimp 2.6 nie uruchamia się z powodu błędu


(Krzysztofbanas) #1

Witam. Po uruchomieniu gimpa wyświetla mi się następujący komunikat:

Nie wiem jak to naprawić.


(Wojtekbogocki) #2

Gdzieś w usr lub /usr/local masz plik nazwany libgimp najpewniej z rozszerzeniem *.so. jeden jest przestarzały więc powoduje problemy, nie wiem który, ale sprawdź usuwając raz jeden raz drugi czy ci się uruchomi.

edit.

Ewentualnie mogłeś mieć też błąd przy instalowaniu Gimpa i nie zaktualizowało ci tego pliku. Reinstall?

Ps.

Tak btw. to ma ktoś pojęcie od czego jest /usr/local/ ?


(RubasznyRumcajs) #3

@Banan

poszukaj sobie jaka paczka dostarcza takowej biblioteki

zypper whatprovides libgimp (zreszta: man zypper)

@wojek64

/usr/local/ służy do instalacji programów przez ich kompilację bądź poprzez instalatory dostarczone przez ich producentów- ta lokacja nie jest używana przez systemowe menadżery pakietów. Ma to, w teorii, zapobiegać tworzeniu się syfu (czy zapobiega to juz inna sprawa) w systemie.


(Krzysztofbanas) #4
Banan@linux-lkdv:~> zypper wp libgimp

Repozytorium 'openSUSE BuildService - KDE:KDE3' jest nieaktualne. Aby je zaktualizować, należy uruchomić polecenie 'zypper refresh' jako użytkownik root.

Repozytorium 'openSUSE BuildService - LibreOffice.org' jest nieaktualne. Aby je zaktualizować, należy uruchomić polecenie 'zypper refresh' jako użytkownik root.

Repozytorium 'openSUSE BuildService - LibreOffice.org' jest nieaktualne. Aby je zaktualizować, należy uruchomić polecenie 'zypper refresh' jako użytkownik root.

Repozytorium 'openSUSE BuildService - KDE:UpdatedApps' jest nieaktualne. Aby je zaktualizować, należy uruchomić polecenie 'zypper refresh' jako użytkownik root.

Wczytywanie danych repozytorium...

Odczytywanie zainstalowanych pakietów...

Brak dostawców 'libgimp'.

(nintyfan) #5

ls /usr/lib/libgimp*

ls /usr/lib64/libgimp*

ls ./usr/local/lib/libgimp*

ls /usr/local/lib64/libgimp*

[./code]


(Krzysztofbanas) #6
linux-lkdv:/home/Banan # ls /usr/lib/libgimp*

ls: nie ma dostępu do /usr/lib/libgimp*: Nie ma takiego pliku ani katalogu

linux-lkdv:/home/Banan # ls /usr/lib64/libgimp*

/usr/lib64/libgimp-2.0.so.0

/usr/lib64/libgimp-2.0.so.0.600.11

/usr/lib64/libgimpbase-2.0.so.0

/usr/lib64/libgimpbase-2.0.so.0.600.11

/usr/lib64/libgimpcolor-2.0.so.0

/usr/lib64/libgimpcolor-2.0.so.0.600.11

/usr/lib64/libgimpconfig-2.0.so.0

/usr/lib64/libgimpconfig-2.0.so.0.600.11

/usr/lib64/libgimpmath-2.0.so.0

/usr/lib64/libgimpmath-2.0.so.0.600.11

/usr/lib64/libgimpmodule-2.0.so.0

/usr/lib64/libgimpmodule-2.0.so.0.600.11

/usr/lib64/libgimpprint.so.1

/usr/lib64/libgimpprint.so.1.1.3

/usr/lib64/libgimpthumb-2.0.so.0

/usr/lib64/libgimpthumb-2.0.so.0.600.11

/usr/lib64/libgimpui-2.0.so.0

/usr/lib64/libgimpui-2.0.so.0.600.11

/usr/lib64/libgimpwidgets-2.0.so.0

/usr/lib64/libgimpwidgets-2.0.so.0.600.11

linux-lkdv:/home/Banan # ls ./usr/local/lib/libgimp*

ls: nie ma dostępu do ./usr/local/lib/libgimp*: Nie ma takiego pliku ani katalogu

linux-lkdv:/home/Banan # ls /usr/local/lib64/libgimp*

ls: nie ma dostępu do /usr/local/lib64/libgimp*: Nie ma takiego pliku ani katalogu

(nintyfan) #7

Podaj listę plików, które instalowałeś z paczki Gimpa.